DEADLINE_TEST(8)

# SPDX-License-Identifier: GPL-2.0-only

NAME
deadline_test - High resolution test program

DESCRIPTION

This program is used to test the deadline scheduler (SCHED_DEADLINE tasks)

SYNOPSIS
deadline_test [ -hb ] [ -c CPUSET ] [ -i INTV ] [ -p PERCENT ] [ -P PERCENT ] [ -r PRIO ] [ -s STEP ] [ -t NUM ]

OPTIONS

-b  Bind on the last cpu. (shortcut for -c <lastcpu>)

-c CPUSET
    Comma/hyphen separated list of CPUs to run deadline tasks on

-h  Show this help menu

-i INTV
    The shortest deadline for the tasks

-p PERCENT
    The percent of bandwidth to use (1-90%)

-P PERCENT
    The percent of runtime for execution completion (default 100%)

-r PRIO
    Add an RT task with given prio to stress system

-s STEP
    The amount to increase the deadline for each task in us (default 500us)

-t NUM
    The number of threads to run as deadline (default 1)

AUTHOR
Deadline test was written by Steven Rostedt <rostedt@goodmis.org>

This manual page was written by John Kacur <jkacur@redhat.com>